Subject: [Dime] RFC3588bis and SRVs

From: jouni korhonen <[email-masked]>
Date: Mon, 21 Nov 2011 10:30:44 +0200

Folks,

This relates to a DISCUSS by Peter: https://datatracker.ietf.org/doc/draft-ietf-dime-rfc3588bis/ballot/#peter-saint-andre
We discussed the possible solution during the week and here's one solution that should be acceptable. The key point is to differentiate between secured and unsecured connections with 's' i.e. "diameter" for plaintext and "diameters" for secured transport connections.

Diameter base protocol RFC3588 has reserved and used "_stcp" since its publication 2003. In that sense the claim "in practice '_sctp' is not used in existing SRV records" is not quite true. Whether it has been deployed is a different thing but the code base is there. For the backward compatibility we need to keep the old "_sctp". Therefore, I think we cannot switch from "_sctp" to "_udp" just like that.

So, keeping in mind that RFC3588 has since 2003 used '_diameter._sctp'.realm for SRVs, have the following text in Section 5.2:

    3.  If no NAPTR records are found, the requester directly queries for
        one of the following SRV records: for Diameter over TCP, use
        "_diameter._tcp.realm"; for Diameter over TLS, use
        "_diameters._tcp.realm"; for Diameter over SCTP, use
        "_diameter._sctp.realm"; for Diameter over DTLS, use
        "_diameters._sctp.realm". If SRV records are found then the 
        requester can perform address record query (A RR's and/or AAAA
        RR's) for the target hostname specified in the SRV records.
        If no SRV records are found, the requester gives up.

- Jouni